package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 关注信息对象 follow_info
 * 
 * @author haotian
 * @date 2024-12-26
 */
public class FollowInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 关注信息id，主键，唯一 */
    private Long followInfoId;

    /** 关注者id，关联user_account中的user_id */
    @Excel(name = "关注者id，关联user_account中的user_id")
    private String followerId;

    /** 被关注者id */
    @Excel(name = "被关注者id")
    private String userId;

    /** 关注时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "关注时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date followTime;

    /** 删除标志：0代表未删除，1代表删除 */
    private String delFlag;

    /** 关注状态：0单方面关注，1互关 */
    @Excel(name = "关注状态：0单方面关注，1互关")
    private String followStatus;

    public void setFollowInfoId(Long followInfoId) 
    {
        this.followInfoId = followInfoId;
    }

    public Long getFollowInfoId() 
    {
        return followInfoId;
    }
    public void setFollowerId(String followerId) 
    {
        this.followerId = followerId;
    }

    public String getFollowerId() 
    {
        return followerId;
    }
    public void setUserId(String userId) 
    {
        this.userId = userId;
    }

    public String getUserId() 
    {
        return userId;
    }
    public void setFollowTime(Date followTime) 
    {
        this.followTime = followTime;
    }

    public Date getFollowTime() 
    {
        return followTime;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setFollowStatus(String followStatus) 
    {
        this.followStatus = followStatus;
    }

    public String getFollowStatus() 
    {
        return followStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("followInfoId", getFollowInfoId())
            .append("followerId", getFollowerId())
            .append("userId", getUserId())
            .append("followTime", getFollowTime())
            .append("delFlag", getDelFlag())
            .append("remark", getRemark())
            .append("followStatus", getFollowStatus())
            .toString();
    }
}
